import "dart:io";

import "package:http/http.dart" as http;

class ImageService {
  static Future<http.Response> getRandomImage() async {
    try {
      var response = await http
          .get(Uri.parse("https://100k-faces.glitch.me/random-image"));
      print(response.body);

      return response;
    } on SocketException catch (e) {
      throw Exception(
          "Socket Error: ${e.message}, ${e.address} - ${e.osError}");
    } catch (e) {
      throw Exception(e);
    }
  }
}
